Apache Struts API Documentation: Class CompareTagBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.logic
Class CompareTagBase

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.logic.ConditionalTagBase
                  |
                  +--org.apache.struts.taglib.logic.CompareTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  EqualTag, GreaterEqualTag, GreaterThanTag, LessEqualTag, LessThanTag, NotEqualTag

public abstract class CompareTagBase
extends ConditionalTagBase

Abstract base class for comparison tags. Concrete subclasses need only define values for desired1 and desired2.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static int` | `DOUBLE_COMPARE` We will do a double/float comparison.
`protected static int` | `LONG_COMPARE` We will do a long/int comparison.
`protected static MessageResources` | `messages` The message resources for this package.
`protected static int` | `STRING_COMPARE` We will do a String comparison.
`java.lang.String` | `value` The value to which the variable specified by other attributes of this tag will be compared.

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CompareTagBase()`

Method Summary
`protected abstract boolean` | `condition()` Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.
`protected boolean` | `condition(int desired1, int desired2)` Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.
`java.lang.String` | `getValue()`
`void` | `release()` Release all allocated resources.
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`doEndTag, doStartTag, getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DOUBLE_COMPARE

    protected static final int DOUBLE_COMPARE

  We will do a double/float comparison.

### LONG_COMPARE

    protected static final int LONG_COMPARE

  We will do a long/int comparison.

### STRING_COMPARE

    protected static final int STRING_COMPARE

  We will do a String comparison.

### messages

    protected static MessageResources messages

  The message resources for this package.

### value

    public java.lang.String value

  The value to which the variable specified by other attributes of this tag will be compared.

Constructor Detail

### CompareTagBase

    public CompareTagBase()

Method Detail

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### release

    public void release()

  Release all allocated resources.
  Overrides:
    `release` in class `ConditionalTagBase`

### condition

    protected abstract boolean condition()
                                  throws javax.servlet.jsp.JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped. This method must be implemented by concrete subclasses.
  Overrides:
    `condition` in class `ConditionalTagBase`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception occurs

### condition

    protected boolean condition(int desired1,
                                int desired2)
                         throws javax.servlet.jsp.JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped. This method must be implemented by concrete subclasses.
  Parameters:
    `desired1` - First desired value for a true result (-1, 0, +1)
    `desired2` - Second desired value for a true result (-1, 0, +1)
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation